MANPATH(1)

NOMBRE
manpath - determina la ruta de búsqueda para páginas de manual

SINOPSIS
manpath [-qgdc?V] [-m sistema[,...]] [-C archivo]

DESCRIPCIÓN
Si se establece $MANPATH, manpath simplemente muestra sus contenidos y emite una advertencia. Si no, manpath determina una jerarquía de ruta de búsqueda de páginas de manual adecuada y muestra los resultados.

La ruta delimitada por dos puntos se determina utilizando información obtenida a partir del archivo de configuración de man-db – (/etc/manpath.config) y del entorno del usuario.

OPCIONES

-q, --quiet
    No emitir advertencias.

-d, --debug
    Escribe información de depuración.

-c, --catpath
    Genera una ruta de cat en contraposición a una ruta de man. Una vez la ruta man es determinada, cada elemento de la ruta se convierte a su ruta cat relativa.

-g, --global
    Genera una ruta man que contiene todas las rutas denominadas "global" en el archivo de configuración de man-db.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema tiene acceso a las jerarquías de manual de otro sistema operativo, esta opcion puede utilizarse para incluirlas en la salida de manpath. Para incluir las jerarquías de las páginas de manual de SOnuevo, utilice la opción -m SOnuevo.

    El sistema especificado puede ser una combinación de nombres de sistemas operativos delimitados por comas. Para incluir las jerarquías de las páginas de manual del sistema operativo nativo, el nombre del sistema man debe ser incluido en la cadena del argumento. Esta opción anula la variable de entorno $SYSTEM.

-C archivo, --config-file=archivo
    Use this user configuration file rather than the default of ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ENTORNO

MANPATH
    Si $MANPATH está establecida, manpath muestra su valor en lugar de determinarlo al momento.

    Vea la sección RUTA DE BÚSQUEDA de manpagh(5) para conocer el comportamiento predeterminado y los detalles acerca de cómo se utiliza esta variable de entorno.

SYSTEM
    Si $SYSTEM está establecida, tendrá el mismo efecto que si se hubiera especificado como el argumento de la opción -m.

ARCHIVOS

/etc/manpath.config
    archivo de configuración de man-db.

VÉASE TAMBIÉN
apropos(1), man(1), whatis(1)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECTOS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db